Subject: REGRESSION: 3.4.0->3.5.0-rc2 kernel WARNING on cable plug on Acer Aspire One, no network

From: Alex Villacís Lasso <[email-masked]>
Date: Sun, 10 Jun 2012 14:16:27 -0500

System is an Acer Aspire One ZG5 running Fedora 16 32-bits with latest 
updates.

I compiled and ran linux-3.4.0 with no issues.

I then compiled 3.5.0-rc2 with the attached kernel config, and rebooted 
with unplugged ethernet cable. I started an ordinary user session and 
then plugged the ethernet cable. Almost immediately I got a kernel BUG 
with the following backtrace, and the DHCP failed, as well as any other 
network communication:

[  261.818521] r8169 0000:02:00.0: p1p1: link up
[  261.819603] IPv6: ADDRCONF(NETDEV_CHANGE): p1p1: link becomes ready
[  273.712065] ------------[ cut here ]------------
[  273.712096] WARNING: at net/sched/sch_generic.c:255 
dev_watchdog+0x1f2/0x200()
[  273.712105] Hardware name: AOA150
[  273.712113] NETDEV WATCHDOG: p1p1 (r8169): transmit queue 0 timed out
[  273.712342] Modules linked in: fuse be2iscsi iscsi_boot_sysfs bnx2i 
cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm 
iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi 
scsi_transport_iscsi fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q 
garp stp llc nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT 
nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter 
ip6_tables snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep 
snd_seq snd_seq_device arc4 snd_pcm snd_timer ath5k ath mac80211 
coretemp cfg80211 sparse_keymap rfkill uvcvideo videobuf2_core videodev 
media videobuf2_vmalloc videobuf2_memops snd soundcore snd_page_alloc 
wmi acerhdf lpc_ich joydev pcspkr r8169 i2c_i801 microcode mii serio_raw 
uinput i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last 
unloaded: scsi_wait_scan]
[  273.712358] Pid: 0, comm: swapper/0 Not tainted 3.5.0-rc2 #3
[  273.712365] Call Trace:
[  273.712386]  [<c04399c2>] warn_slowpath_common+0x72/0xa0
[  273.712402]  [<c08782c2>] ? dev_watchdog+0x1f2/0x200
[  273.712416]  [<c08782c2>] ? dev_watchdog+0x1f2/0x200
[  273.712430]  [<c0439a93>] warn_slowpath_fmt+0x33/0x40
[  273.712445]  [<c08782c2>] dev_watchdog+0x1f2/0x200
[  273.712474]  [<c0447e0f>] run_timer_softirq+0xef/0x360
[  273.712489]  [<c047200d>] ? rebalance_domains+0x13d/0x160
[  273.712505]  [<c08780d0>] ? pfifo_fast_dequeue+0xe0/0xe0
[  273.712519]  [<c047206d>] ? run_rebalance_domains+0x3d/0x110
[  273.712535]  [<c04411c0>] ? local_bh_enable_ip+0xa0/0xa0
[  273.712548]  [<c0441249>] __do_softirq+0x89/0x210
[  273.712564]  [<c04411c0>] ? local_bh_enable_ip+0xa0/0xa0
[  273.712583] <IRQ>  [<c0441686>] ? irq_exit+0x86/0xb0
[  273.712597]  [<c0404b9b>] ? do_IRQ+0x4b/0xb0
[  273.712613]  [<c048bea9>] ? tick_program_event+0x29/0x30
[  273.712630]  [<c0959830>] ? common_interrupt+0x30/0x38
[  273.712646]  [<c044007b>] ? jiffies_64_to_clock_t+0x2b/0x60
[  273.712662]  [<c06b6333>] ? intel_idle+0xc3/0x120
[  273.712679]  [<c081e865>] ? cpuidle_enter+0x15/0x20
[  273.712694]  [<c081edec>] ? cpuidle_idle_call+0x9c/0x320
[  273.712708]  [<c040b48a>] ? cpu_idle+0xaa/0x100
[  273.712724]  [<c09324b4>] ? rest_init+0x6c/0x78
[  273.712741]  [<c0bf19b8>] ? start_kernel+0x365/0x36b
[  273.712755]  [<c0bf148e>] ? repair_env_string+0x51/0x51
[  273.712770]  [<c0bf12c2>] ? i386_start_kernel+0x78/0x7d
[  273.712779] ---[ end trace 64b107363f32cf24 ]---
[  273.716256] r8169 0000:02:00.0: p1p1: link up
[  279.717247] r8169 0000:02:00.0: p1p1: link up
[  285.717279] r8169 0000:02:00.0: p1p1: link up